Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jms.extensions
Class JMSMessageFactoryImpl

    java.lang.Object
      weblogic.jms.extensions.JMSMessageFactoryImpl

All Implemented Interfaces:
  WLMessageFactory

public final class JMSMessageFactoryImpl
extends Object
implements WLMessageFactory

Implements WLMessageFactory.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`BytesMessage` | `createBytesMessage()` Implements createBytesMessage.
`MapMessage` | `createMapMessage()` Implements createMapMessage.
`Message` | `createMessage()` Implements createMessage.
`Message` | `createMessage(Document jmsMessageDocument)` Implements createMessage.
`ObjectMessage` | `createObjectMessage()` Implements createObjectMessage.
`ObjectMessage` | `createObjectMessage(Serializable object)` Implements createObjectMessage.
`StreamMessage` | `createStreamMessage()` Implements createStreamMessage.
`TextMessage` | `createTextMessage()` Implements createTextMessage.
`TextMessage` | `createTextMessage(String string)` Implements createTextMessage.
`TextMessage` | `createTextMessage(StringBuffer buffer)` Implements createTextMessage.
`XMLMessage` | `createXMLMessage()` Implements createXMLMessage.
`XMLMessage` | `createXMLMessage(Document document)` Implements createXMLMessage.
`XMLMessage` | `createXMLMessage(String string)` Implements createXMLMessage.
`static WLMessageFactory` | `getFactory()` Returns WLMessageFactory singleton instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createBytesMessage

    public final BytesMessage createBytesMessage()

  Implements createBytesMessage.

  Specified by:
    `createBytesMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.BytesMessage.
  See Also:
    `BytesMessage`

### createMapMessage

    public final MapMessage createMapMessage()

  Implements createMapMessage.

  Specified by:
    `createMapMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.MapMessage.
  See Also:
    `MapMessage`

### createMessage

    public final Message createMessage()

  Implements createMessage.

  Specified by:
    `createMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.Message.
  See Also:
    `Message`

### createMessage

    public final Message createMessage(Document jmsMessageDocument)
                                throws DOMException,
                                       JMSException,
                                       IOException,
                                       ClassNotFoundException

  Implements createMessage.

  Specified by:
    `createMessage` in interface `WLMessageFactory`
  Parameters:
    `jmsMessageDocument` - - document used to initialize this message
  Returns:
    javax.jms.Message.
  Throws:
    `DOMException`
    `JMSException`
    `IOException`
    `ClassNotFoundException`
  See Also:
    `Message`, `Document`

### createObjectMessage

    public final ObjectMessage createObjectMessage()

  Implements createObjectMessage.

  Specified by:
    `createObjectMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.ObjectMessage.
  See Also:
    `ObjectMessage`

### createObjectMessage

    public final ObjectMessage createObjectMessage(Serializable object)
                                            throws JMSException

  Implements createObjectMessage.

  Specified by:
    `createObjectMessage` in interface `WLMessageFactory`
  Parameters:
    `object` - - the object used to initialize this message
  Returns:
    javax.jms.ObjectMessage.
  Throws:
    `JMSException` - - if the API fails to create this message due to some internal error.
  See Also:
    `ObjectMessage`

### createStreamMessage

    public final StreamMessage createStreamMessage()

  Implements createStreamMessage.

  Specified by:
    `createStreamMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.StreamMessage.
  See Also:
    `StreamMessage`

### createTextMessage

    public final TextMessage createTextMessage()

  Implements createTextMessage.

  Specified by:
    `createTextMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.TextMessage.
  See Also:
    `TextMessage`

### createTextMessage

    public final TextMessage createTextMessage(String string)

  Implements createTextMessage.

  Specified by:
    `createTextMessage` in interface `WLMessageFactory`
  Parameters:
    `string` - - the string used to initialize this message
  Returns:
    javax.jms.TextMessage.
  See Also:
    `TextMessage`

### createTextMessage

    public final TextMessage createTextMessage(StringBuffer buffer)

  Implements createTextMessage.

  Specified by:
    `createTextMessage` in interface `WLMessageFactory`
  Returns:
    javax.jms.TextMessage.
  See Also:
    `TextMessage`

### createXMLMessage

    public final XMLMessage createXMLMessage()

  Implements createXMLMessage.

  Specified by:
    `createXMLMessage` in interface `WLMessageFactory`
  Returns:
    weblogic.jms.extensions.XMLMessage.
  See Also:
    `XMLMessage`

### createXMLMessage

    public final XMLMessage createXMLMessage(Document document)
                                      throws JMSException

  Implements createXMLMessage.

  Specified by:
    `createXMLMessage` in interface `WLMessageFactory`
  Parameters:
    `document` - A DOM Document object
  Returns:
    weblogic.jms.extensions.XMLMessage.
  Throws:
    `JMSException`
  See Also:
    `XMLMessage`

### createXMLMessage

    public final XMLMessage createXMLMessage(String string)

  Implements createXMLMessage.

  Specified by:
    `createXMLMessage` in interface `WLMessageFactory`
  Parameters:
    `string` - - the string used to initialize this message
  Returns:
    weblogic.jms.extensions.XMLMessage.
  See Also:
    `XMLMessage`

### getFactory

    public static final WLMessageFactory getFactory()

  Returns WLMessageFactory singleton instance.

  Returns:
    WLMessageFactory
  See Also:
    `WLMessageFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD